# MailAddress Class Reference

This class represents an encoded Internet email address using the syntax of RFC822 / RFC 2047. More...

List of all members.

## Public Member Functions

| setAddress ($address)
| getAddress ()
| setPerson ($person)
| getPerson ()
| setCharset ($charset)
| getCharset ()
| toString ()

## Static Public Member Functions

static | create ()

## Public Attributes

const | RFC_MAX_ENCODED_WORD_LENGTH = 75

## Private Member Functions

| getAddressRegExp ($atom)
| getUnquotedPhraseRegexp ($atom)
| getEncodedWord ($word)
| getEncodedPerson ()
| appendChunk ($encodedPerson, $personChunk)

## Private Attributes

| $address = null
| $person = null
| $charset = 'UTF-8'

## Detailed Description

This class represents an encoded Internet email address using the syntax of RFC822 / RFC 2047.

Typical address syntax is of the form "user@example.com" or "Personal Name <user@example.com>".

See also:
  javax.mail.internet.InternetAddress

Definition at line 19 of file MailAddress.class.php.

## Member Function Documentation

MailAddress::appendChunk | ( | $ | encodedPerson,
|  | $ | personChunk |
| ) |  |  | `[private]`

Definition at line 176 of file MailAddress.class.php.

References getEncodedWord().

Referenced by getEncodedPerson().

Here is the call graph for this function:

static MailAddress::create | ( |  | ) | `[static]`

Definition at line 27 of file MailAddress.class.php.

MailAddress::getAddress | ( |  | ) |

Definition at line 39 of file MailAddress.class.php.

MailAddress::getAddressRegExp | ( | $ | atom | ) | `[private]`

Definition at line 119 of file MailAddress.class.php.

Referenced by toString().

MailAddress::getCharset | ( |  | ) |

Definition at line 63 of file MailAddress.class.php.

MailAddress::getEncodedPerson | ( |  | ) | `[private]`

Definition at line 148 of file MailAddress.class.php.

References appendChunk(), and getEncodedWord().

Referenced by toString().

Here is the call graph for this function:

MailAddress::getEncodedWord | ( | $ | word | ) | `[private]`

Definition at line 143 of file MailAddress.class.php.

Referenced by appendChunk(), and getEncodedPerson().

MailAddress::getPerson | ( |  | ) |

Definition at line 51 of file MailAddress.class.php.

MailAddress::getUnquotedPhraseRegexp | ( | $ | atom | ) | `[private]`

Definition at line 138 of file MailAddress.class.php.

Referenced by toString().

MailAddress::setAddress | ( | $ | address | ) |

Definition at line 32 of file MailAddress.class.php.

References $address.

MailAddress::setCharset | ( | $ | charset | ) |

Definition at line 56 of file MailAddress.class.php.

References $charset.

MailAddress::setPerson | ( | $ | person | ) |

Definition at line 44 of file MailAddress.class.php.

References $person.

MailAddress::toString | ( |  | ) |

Definition at line 68 of file MailAddress.class.php.

References $person, getAddressRegExp(), getEncodedPerson(), and getUnquotedPhraseRegexp().

Here is the call graph for this function:

## Member Data Documentation

MailAddress::$address = null`[private]`

Definition at line 23 of file MailAddress.class.php.

Referenced by setAddress().

MailAddress::$charset = 'UTF-8'`[private]`

Definition at line 25 of file MailAddress.class.php.

Referenced by setCharset().

MailAddress::$person = null`[private]`

Definition at line 24 of file MailAddress.class.php.

Referenced by setPerson(), and toString().

const MailAddress::RFC_MAX_ENCODED_WORD_LENGTH = 75

Definition at line 21 of file MailAddress.class.php.

The documentation for this class was generated from the following file:

- main/Net/Mail/MailAddress.class.php